Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
[Java] Class Expando

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.util.Expando

    public class Expando
    extends GroovyObjectSupport

Represents a dynamically expandable bean.

Authors:
  James Strachan
  Hein Meling
  Pilho Kim

Version:
  \$Revision: 20584 \$

Constructor Summary
`Expando()`
`Expando(Map expandoProperties)`

Method Summary
`protected Map` | `createMap()` Factory method to create a new Map used to store the expando properties map
`boolean` | `equals(Object obj)` This allows equals to be overridden by a closure field method attached to the expando object.
`List` | `getMetaPropertyValues()`
`Map` | `getProperties()` @return the dynamically expanded properties
`Object` | `getProperty(String property)`
`int` | `hashCode()` This allows hashCode to be overridden by a closure field method attached to the expando object.
`Object` | `invokeMethod(String name, Object args)`
`void` | `setProperty(String property, Object newValue)`
`String` | `toString()` This allows toString to be overridden by a closure field method attached to the expando object.

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### Expando

    public Expando()

### Expando

    public Expando(Map expandoProperties)

Method Detail

### createMap

    protected Map createMap()

  Factory method to create a new Map used to store the expando properties map
  Returns:
    a newly created Map implementation

### equals

    public boolean equals(Object obj)

  This allows equals to be overridden by a closure field method attached to the expando object.
  See Also:
    Object.equals

### getMetaPropertyValues

    public List getMetaPropertyValues()

### getProperties

    public Map getProperties()

  Returns:
    the dynamically expanded properties

### getProperty

    public Object getProperty(String property)

### hashCode

    public int hashCode()

  This allows hashCode to be overridden by a closure field method attached to the expando object.
  See Also:
    Object.hashCode

### invokeMethod

    public Object invokeMethod(String name, Object args)

### setProperty

    public void setProperty(String property, Object newValue)

### toString

    public String toString()

  This allows toString to be overridden by a closure field method attached to the expando object.
  See Also:
    Object.toString

Copyright © 2003-2010 The Codehaus. All rights reserved.